#include "chdecl.h"
void CH_codegen_objaddr(current, sched, cop)
#define ARGUMENTS 18
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c10;
    case 4: goto c11;
    case 5: goto c22;
    case 6: goto c25;
    case 7: goto cb41;
    case 8: goto c42;
    case 9: goto c67;
    case 10: goto cb67;
    case 12: goto c69;
    case 13: goto cb71;
    case 14: goto c72;
    case 15: goto cb75;
    case 16: goto c76;
    case 17: goto c81;
    case 18: goto cb84;
    case 20: goto cb86;
    case 21: goto c87;
    case 22: goto cb95;
    case 23: goto c96;
    case 24: goto c97;
    case 25: goto cb98;
    case 26: goto c99;
    case 27: goto cb101;
    case 28: goto c102;
    case 29: goto c111;
    case 30: goto cb119;
    case 31: goto c120;
    case 32: goto c125;
    case 33: goto cb126;
    case 34: goto c127;
    case 35: goto c133;
    case 36: goto c140;
    case 37: goto cb149;
    case 38: goto c150;
    case 39: goto c154;
    case 40: goto cb156;
    case 41: goto c157;
    case 42: goto c164;
    case 11: goto c166;
    case 43: goto c166;
    case 19: goto c167;
    case 44: goto c167;
    case 45: goto c170;
    case 46: goto c173;
    case 47: goto c176;
    case 48: goto c178;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 4 , "Inferred Definitions" */
  if( !chs_lit(DEF(4),"Inferred Definitions") ) goto ch_depletion;
/* find 5 3.0.2 4 , 0 */
  if (findfunc(DEF(5),DEF(3)DOT(0)DOT(2),(
          arguments[0] = DEF(4),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 6 5.1 */
  if((ch_returncode = cp_polymorph(& ch_val, REF(5)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val;
  REF(6).tsdr = & dr_polymorph;
/* unwrap 7 6 , 3 */
  if ((ch_returncode = che_unwrap(DEF(7),DEF(6),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 11 */
   goto c11;
c10:
/* new_table 7 , 4 */
  if ((ch_returncode = che_new_table(DEF(7),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
c11:
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 8 , "Process Print Map" */
  if( !chs_lit(DEF(8),"Process Print Map") ) goto ch_depletion;
/* find 9 3.0.2 8 , 0 */
  if (findfunc(DEF(9),DEF(3)DOT(0)DOT(2),(
          arguments[0] = DEF(8),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 10 9.1 */
  if((ch_returncode = cp_polymorph(& ch_val, REF(9)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).value = ch_val;
  REF(10).tsdr = & dr_polymorph;
/* unwrap 11 10 , 6 */
  if ((ch_returncode = che_unwrap(DEF(11),DEF(10),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* copy 12 3.1.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(1)DOT(0).tsdr->number];
/* unite 13 12 , 0 */
  if ((ch_returncode = che_unite(DEF(13),DEF(12),sched,0)) != Normal)
     goto ch_raise_exception;
/* find 14 11 13 , 0 */
  if (findfunc(DEF(14),DEF(11),(
          arguments[0] = DEF(13),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 15 14.2 */
  if((ch_returncode = cp_table(& ch_val, REF(14)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).value = ch_val;
  REF(15).tsdr = & dr_table;
/* endblock */
  che_endblock(sched);
/* branch , 25 */
   goto c25;
c22:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* new_table 15 , 7 */
  if ((ch_returncode = che_new_table(DEF(15),QUAL(7),sched)) != Normal) 
     goto ch_raise_exception;
c25:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* copy 16 3.2 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).value = ch_val;
  REF(16).tsdr = & dr_outport;
/* copy 17 3.3 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = & dr_outport;
/* new_table 18 , 4 */
  if ((ch_returncode = che_new_table(DEF(18),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* ilit 19 , 3 */
  REF(19).value.integer = 3;
  REF(19).tsdr = & dr_integer;
/* copy 20 3.1.1.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val;
  REF(20).tsdr = datarepmap[REF(3)DOT(1)DOT(1)DOT(0).tsdr->number];
/* new_record 21 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).value = ch_val; REF(21).tsdr = & dr_record;
/* copy 21.1 3.1.2 */
  if((ch_returncode = (REF(3)DOT(1)DOT(2).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(2).value)) != Normal) goto ch_raise_exception;
  (*(REF(21)DOT(1).tsdr)->finalize)(REF(21)DOT(1).value,F_DISCARD,sched);
  REF(21)DOT(1).value = ch_val;
  REF(21)DOT(1).tsdr = datarepmap[REF(3)DOT(1)DOT(2).tsdr->number];
/* copy 21.0 3.1.1.2 */
  if((ch_returncode = (REF(3)DOT(1)DOT(1)DOT(2).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(1)DOT(2).value)) != Normal) goto ch_raise_exception;
  (*(REF(21)DOT(0).tsdr)->finalize)(REF(21)DOT(0).value,F_DISCARD,sched);
  REF(21)DOT(0).value = ch_val;
  REF(21)DOT(0).tsdr = datarepmap[REF(3)DOT(1)DOT(1)DOT(2).tsdr->number];
/* new_record 22 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val; REF(22).tsdr = & dr_record;
/* move 22.0 21 */
  (*(REF(22)DOT(0).tsdr)->finalize)(REF(22)DOT(0).value,F_DISCARD,sched);
  REF(22)DOT(0) = REF(21);
  REF(21).tsdr = & dr_bottom;
/* new_table 22.1 , 8 */
  if ((ch_returncode = che_new_table(DEF(22)DOT(1),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* ilit 23 , 0 */
  REF(23).value.integer = 0;
  REF(23).tsdr = & dr_integer;
/* insert 22.1 23 */
  if ((ch_returncode = insertfunc(DEF(22)DOT(1),DEF(23),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 7;
cb41:
/* call 17 22.0 20 7 15 24 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(17),
          arguments[1] = DEF(22)DOT(0),
          arguments[2] = DEF(20),
          arguments[3] = DEF(7),
          arguments[4] = DEF(15),
          arguments[5] = DEF(24),
          arguments[5+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c42:
/* move 22.2 24 */
  (*(REF(22)DOT(2).tsdr)->finalize)(REF(22)DOT(2).value,F_DISCARD,sched);
  REF(22)DOT(2) = REF(24);
  REF(24).tsdr = & dr_bottom;
/* insert 18 22 */
  if ((ch_returncode = insertfunc(DEF(18),DEF(22),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_inport 25 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val; REF(25).tsdr = & dr_inport;
/* connect 3.5 25 */
  if (REF(25).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(25).value.inport->refcount++;
  REF(3)DOT(5).value.outport = REF(25).value.inport;
  REF(3)DOT(5).tsdr = & dr_outport;
/* new_inport 26 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).value = ch_val; REF(26).tsdr = & dr_inport;
/* connect 3.6 26 */
  if (REF(26).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(26).value.inport->refcount++;
  REF(3)DOT(6).value.outport = REF(26).value.inport;
  REF(3)DOT(6).tsdr = & dr_outport;
/* new_inport 27 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val; REF(27).tsdr = & dr_inport;
/* connect 3.7 27 */
  if (REF(27).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(27).value.inport->refcount++;
  REF(3)DOT(7).value.outport = REF(27).value.inport;
  REF(3)DOT(7).tsdr = & dr_outport;
/* new_inport 28 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val; REF(28).tsdr = & dr_inport;
/* connect 3.8 28 */
  if (REF(28).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(8).tsdr)->finalize)(REF(3)DOT(8).value,F_DISCARD,sched);
  REF(28).value.inport->refcount++;
  REF(3)DOT(8).value.outport = REF(28).value.inport;
  REF(3)DOT(8).tsdr = & dr_outport;
/* new_inport 29 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).value = ch_val; REF(29).tsdr = & dr_inport;
/* connect 3.9 29 */
  if (REF(29).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(9).tsdr)->finalize)(REF(3)DOT(9).value,F_DISCARD,sched);
  REF(29).value.inport->refcount++;
  REF(3)DOT(9).value.outport = REF(29).value.inport;
  REF(3)DOT(9).tsdr = & dr_outport;
/* new_inport 30 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).value = ch_val; REF(30).tsdr = & dr_inport;
/* new_inport 31 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).value = ch_val; REF(31).tsdr = & dr_inport;
/* connect 3.10 31 */
  if (REF(31).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(10).tsdr)->finalize)(REF(3)DOT(10).value,F_DISCARD,sched);
  REF(31).value.inport->refcount++;
  REF(3)DOT(10).value.outport = REF(31).value.inport;
  REF(3)DOT(10).tsdr = & dr_outport;
/* new_inport 32 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).value = ch_val; REF(32).tsdr = & dr_inport;
/* connect 3.11 32 */
  if (REF(32).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(11).tsdr)->finalize)(REF(3)DOT(11).value,F_DISCARD,sched);
  REF(32).value.inport->refcount++;
  REF(3)DOT(11).value.outport = REF(32).value.inport;
  REF(3)DOT(11).tsdr = & dr_outport;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* prog_lit 33 , 10 */
  if ((ch_returncode = che_prog_lit(DEF(33),QUAL(10),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 34 33 , 11 */
  if ((ch_returncode = che_procedure(DEF(34),DEF(33),QUAL(11)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* move 35 34 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35) = REF(34);
  REF(34).tsdr = & dr_bottom;
/* new_table 36 , 4 */
  if ((ch_returncode = che_new_table(DEF(36),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
c65:
/* noop */
  
c67:
  current->ip = 10;
cb67:
/* select 32 * 31 * 30 * 29 * 28 * 27 * 26 * 25 * , 12 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(32),
          arguments[1] = NO_OBJECT,
          arguments[2] = DEF(31),
          arguments[3] = NO_OBJECT,
          arguments[4] = DEF(30),
          arguments[5] = NO_OBJECT,
          arguments[6] = DEF(29),
          arguments[7] = NO_OBJECT,
          arguments[8] = DEF(28),
          arguments[9] = NO_OBJECT,
          arguments[10] = DEF(27),
          arguments[11] = NO_OBJECT,
          arguments[12] = DEF(26),
          arguments[13] = NO_OBJECT,
          arguments[14] = DEF(25),
          arguments[15] = NO_OBJECT,
          arguments[15+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 10) return; else COMPUTE_TARGET;
c69:
/* exit , 13 */
  ch_e = handler_type__exit; ch_val = QUAL(13); goto ch_exception;
c71:
  current->ip = 13;
cb71:
/* receive 37 31 */
  if ((ch_returncode = che_receive(DEF(37),DEF(31),sched)) != Normal)
     goto ch_raise_exception;
  return;
c72:
/* copy 37.0 19 */
  REF(37)DOT(0) = REF(19);
/* return 37 */
  if (ch_caller = do_return(REF(37).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(37).value);
  REF(37).tsdr = & dr_bottom;
/* branch , 167 */
   goto c167;
c75:
  current->ip = 15;
cb75:
/* receive 38 30 */
  if ((ch_returncode = che_receive(DEF(38),DEF(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c76:
/* move 25 38.0 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25) = REF(38)DOT(0);
  REF(38)DOT(0).tsdr = & dr_bottom;
/* move 26 38.1 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26) = REF(38)DOT(1);
  REF(38)DOT(1).tsdr = & dr_bottom;
/* move 29 38.2 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29) = REF(38)DOT(2);
  REF(38)DOT(2).tsdr = & dr_bottom;
/* return 38 */
  if (ch_caller = do_return(REF(38).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(38).value);
  REF(38).tsdr = & dr_bottom;
/* branch , 167 */
   goto c167;
c81:
/* connect 39 27 */
  if (REF(27).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(27).value.inport->refcount++;
  REF(39).value.outport = REF(27).value.inport;
  REF(39).tsdr = & dr_outport;
/* connect 40 30 */
  if (REF(30).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(30).value.inport->refcount++;
  REF(40).value.outport = REF(30).value.inport;
  REF(40).tsdr = & dr_outport;
/* copy 41 16 */
  if((ch_returncode = cp_outport(& ch_val, REF(16).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val;
  REF(41).tsdr = & dr_outport;
  current->ip = 18;
cb84:
/* call 35 25 26 29 40 39 41 , 14 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(35),
          arguments[1] = DEF(25),
          arguments[2] = DEF(26),
          arguments[3] = DEF(29),
          arguments[4] = DEF(40),
          arguments[5] = DEF(39),
          arguments[6] = DEF(41),
          arguments[6+1] = nil,& arguments[0]),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  return;
c86:
  current->ip = 20;
cb86:
/* receive 42 28 */
  if ((ch_returncode = che_receive(DEF(42),DEF(28),sched)) != Normal)
     goto ch_raise_exception;
  return;
c87:
/* new_table 42.0 , 8 */
  if ((ch_returncode = che_new_table(DEF(42)DOT(0),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 43 19 */
  REF(43) = REF(19);
/* insert 42.0 43 */
  if ((ch_returncode = insertfunc(DEF(42)DOT(0),DEF(43),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* iadd 19 19 =(1) */
  if (!chf_iadd(DEF(19),REF(19).value.integer,1)) goto ch_depletion;
/* return 42 */
  if (ch_caller = do_return(REF(42).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(42).value);
  REF(42).tsdr = & dr_bottom;
/* branch , 167 */
   goto c167;
c95:
  current->ip = 22;
cb95:
/* receive 44 27 */
  if ((ch_returncode = che_receive(DEF(44),DEF(27),sched)) != Normal)
     goto ch_raise_exception;
  return;
c96:
/* call 17 44.0.0 20 7 15 45 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(17),
          arguments[1] = DEF(44)DOT(0)DOT(0),
          arguments[2] = DEF(20),
          arguments[3] = DEF(7),
          arguments[4] = DEF(15),
          arguments[5] = DEF(45),
          arguments[5+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c97:
/* move 44.1 45 */
  (*(REF(44)DOT(1).tsdr)->finalize)(REF(44)DOT(1).value,F_DISCARD,sched);
  REF(44)DOT(1) = REF(45);
  REF(45).tsdr = & dr_bottom;
  current->ip = 25;
cb98:
/* call 16 44.1 44.0.1 46 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16),
          arguments[1] = DEF(44)DOT(1),
          arguments[2] = DEF(44)DOT(0)DOT(1),
          arguments[3] = DEF(46),
          arguments[3+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c99:
/* return 44 */
  if (ch_caller = do_return(REF(44).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(44).value);
  REF(44).tsdr = & dr_bottom;
/* branch , 167 */
   goto c167;
c101:
  current->ip = 27;
cb101:
/* receive 47 26 */
  if ((ch_returncode = che_receive(DEF(47),DEF(26),sched)) != Normal)
     goto ch_raise_exception;
  return;
c102:
/* new_record 48 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).value = ch_val; REF(48).tsdr = & dr_record;
/* copy 48.1 47.0 */
  if((ch_returncode = (REF(47)DOT(0).tsdr->copy)(& ch_val, REF(47)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(48)DOT(1).tsdr)->finalize)(REF(48)DOT(1).value,F_DISCARD,sched);
  REF(48)DOT(1).value = ch_val;
  REF(48)DOT(1).tsdr = datarepmap[REF(47)DOT(0).tsdr->number];
/* copy 48.0 47.1 */
  if((ch_returncode = (REF(47)DOT(1).tsdr->copy)(& ch_val, REF(47)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(48)DOT(0).tsdr)->finalize)(REF(48)DOT(0).value,F_DISCARD,sched);
  REF(48)DOT(0).value = ch_val;
  REF(48)DOT(0).tsdr = datarepmap[REF(47)DOT(1).tsdr->number];
/* block , 16 */
  if((ch_returncode = che_block(QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* find 49 18 48 , 0 */
  if (findfunc(DEF(49),DEF(18),(
          arguments[0] = DEF(48),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 47.2 49.1 */
  if((ch_returncode = cp_table(& ch_val, REF(49)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(47)DOT(2).tsdr)->finalize)(REF(47)DOT(2).value,F_DISCARD,sched);
  REF(47)DOT(2).value = ch_val;
  REF(47)DOT(2).tsdr = & dr_table;
/* return 47 */
  if (ch_caller = do_return(REF(47).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(47).value);
  REF(47).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 167 */
   goto c167;
c111:
/* new_record 50 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).value = ch_val; REF(50).tsdr = & dr_record;
/* copy 50.0 48 */
  if((ch_returncode = cp_record(& ch_val, REF(48).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(50)DOT(0).tsdr)->finalize)(REF(50)DOT(0).value,F_DISCARD,sched);
  REF(50)DOT(0).value = ch_val;
  REF(50)DOT(0).tsdr = & dr_record;
/* new_table 50.1 , 8 */
  if ((ch_returncode = che_new_table(DEF(50)DOT(1),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 51 19 */
  REF(51) = REF(19);
/* insert 50.1 51 */
  if ((ch_returncode = insertfunc(DEF(50)DOT(1),DEF(51),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* iadd 19 19 =(1) */
  if (!chf_iadd(DEF(19),REF(19).value.integer,1)) goto ch_depletion;
  current->ip = 30;
cb119:
/* call 17 50.0 20 7 15 52 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(17),
          arguments[1] = DEF(50)DOT(0),
          arguments[2] = DEF(20),
          arguments[3] = DEF(7),
          arguments[4] = DEF(15),
          arguments[5] = DEF(52),
          arguments[5+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c120:
/* move 50.2 52 */
  (*(REF(50)DOT(2).tsdr)->finalize)(REF(50)DOT(2).value,F_DISCARD,sched);
  REF(50)DOT(2) = REF(52);
  REF(52).tsdr = & dr_bottom;
/* copy 47.2 50.1 */
  if((ch_returncode = cp_table(& ch_val, REF(50)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(47)DOT(2).tsdr)->finalize)(REF(47)DOT(2).value,F_DISCARD,sched);
  REF(47)DOT(2).value = ch_val;
  REF(47)DOT(2).tsdr = & dr_table;
/* insert 18 50 */
  if ((ch_returncode = insertfunc(DEF(18),DEF(50),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return 47 */
  if (ch_caller = do_return(REF(47).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(47).value);
  REF(47).tsdr = & dr_bottom;
/* branch , 167 */
   goto c167;
c125:
/* block , 17 */
  if((ch_returncode = che_block(QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 33;
cb126:
/* receive 53 25 */
  if ((ch_returncode = che_receive(DEF(53),DEF(25),sched)) != Normal)
     goto ch_raise_exception;
  return;
c127:
/* block , 18 */
  if((ch_returncode = che_block(QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
/* find 54 36 53.0 , 0 */
  if (findfunc(DEF(54),DEF(36),(
          arguments[0] = DEF(53)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 53.1 54.1 */
  if((ch_returncode = cp_table(& ch_val, REF(54)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(53)DOT(1).tsdr)->finalize)(REF(53)DOT(1).value,F_DISCARD,sched);
  REF(53)DOT(1).value = ch_val;
  REF(53)DOT(1).tsdr = & dr_table;
/* return 53 */
  if (ch_caller = do_return(REF(53).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(53).value);
  REF(53).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 154 */
   goto c154;
c133:
/* block , 19 */
  if((ch_returncode = che_block(QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
/* find 55 18 53.0.0 , 0 */
  if (findfunc(DEF(55),DEF(18),(
          arguments[0] = DEF(53)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 56 55.1 */
  if((ch_returncode = cp_table(& ch_val, REF(55)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).value = ch_val;
  REF(56).tsdr = & dr_table;
/* copy 57 55.2 */
  if((ch_returncode = (REF(55)DOT(2).tsdr->copy)(& ch_val, REF(55)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).value = ch_val;
  REF(57).tsdr = datarepmap[REF(55)DOT(2).tsdr->number];
/* exit , 20 */
  ch_e = handler_type__exit; ch_val = QUAL(20); goto ch_exception;
/* endblock */
  che_endblock(sched);
/* branch , 154 */
   goto c154;
c140:
/* new_table 56 , 8 */
  if ((ch_returncode = che_new_table(DEF(56),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 58 19 */
  REF(58) = REF(19);
/* insert 56 58 */
  if ((ch_returncode = insertfunc(DEF(56),DEF(58),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* iadd 19 19 =(1) */
  if (!chf_iadd(DEF(19),REF(19).value.integer,1)) goto ch_depletion;
/* new_record 59 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).value = ch_val; REF(59).tsdr = & dr_record;
/* copy 59.0 53.0.0 */
  if((ch_returncode = (REF(53)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(53)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(59)DOT(0).tsdr)->finalize)(REF(59)DOT(0).value,F_DISCARD,sched);
  REF(59)DOT(0).value = ch_val;
  REF(59)DOT(0).tsdr = datarepmap[REF(53)DOT(0)DOT(0).tsdr->number];
/* copy 59.1 56 */
  if((ch_returncode = cp_table(& ch_val, REF(56).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(59)DOT(1).tsdr)->finalize)(REF(59)DOT(1).value,F_DISCARD,sched);
  REF(59)DOT(1).value = ch_val;
  REF(59)DOT(1).tsdr = & dr_table;
  current->ip = 37;
cb149:
/* call 17 53.0.0 20 7 15 60 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(17),
          arguments[1] = DEF(53)DOT(0)DOT(0),
          arguments[2] = DEF(20),
          arguments[3] = DEF(7),
          arguments[4] = DEF(15),
          arguments[5] = DEF(60),
          arguments[5+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c150:
/* move 57 60 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57) = REF(60);
  REF(60).tsdr = & dr_bottom;
/* copy 59.2 57 */
  if((ch_returncode = (REF(57).tsdr->copy)(& ch_val, REF(57).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(59)DOT(2).tsdr)->finalize)(REF(59)DOT(2).value,F_DISCARD,sched);
  REF(59)DOT(2).value = ch_val;
  REF(59)DOT(2).tsdr = datarepmap[REF(57).tsdr->number];
/* insert 18 59 */
  if ((ch_returncode = insertfunc(DEF(18),DEF(59),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 20 */
  ch_e = handler_type__exit; ch_val = QUAL(20); goto ch_exception;
c154:
/* endblock */
  che_endblock(sched);
/* branch , 164 */
   goto c164;
c156:
  current->ip = 40;
cb156:
/* call 16 57 53.0.1 61 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16),
          arguments[1] = DEF(57),
          arguments[2] = DEF(53)DOT(0)DOT(1),
          arguments[3] = DEF(61),
          arguments[3+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c157:
/* merge 56 61 */
  if ((ch_returncode = mergefunc(DEF(56),DEF(61),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* move 53.1 56 */
  (*(REF(53)DOT(1).tsdr)->finalize)(REF(53)DOT(1).value,F_DISCARD,sched);
  REF(53)DOT(1) = REF(56);
  REF(56).tsdr = & dr_bottom;
/* new_record 62 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).value = ch_val; REF(62).tsdr = & dr_record;
/* copy 62.0 53.0 */
  if((ch_returncode = (REF(53)DOT(0).tsdr->copy)(& ch_val, REF(53)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(62)DOT(0).tsdr)->finalize)(REF(62)DOT(0).value,F_DISCARD,sched);
  REF(62)DOT(0).value = ch_val;
  REF(62)DOT(0).tsdr = datarepmap[REF(53)DOT(0).tsdr->number];
/* copy 62.1 53.1 */
  if((ch_returncode = cp_table(& ch_val, REF(53)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(62)DOT(1).tsdr)->finalize)(REF(62)DOT(1).value,F_DISCARD,sched);
  REF(62)DOT(1).value = ch_val;
  REF(62)DOT(1).tsdr = & dr_table;
/* insert 36 62 */
  if ((ch_returncode = insertfunc(DEF(36),DEF(62),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return 53 */
  if (ch_caller = do_return(REF(53).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(53).value);
  REF(53).tsdr = & dr_bottom;
c164:
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* branch , 167 */
   goto c167;
c68:
c166:
/* exit , 21 */
  ch_e = handler_type__exit; ch_val = QUAL(21); goto ch_exception;
c85:
c167:
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* branch , 65 */
   goto c65;
c170:
/* endblock */
  che_endblock(sched);
/* branch , 176 */
   goto c176;
c173:
/* chs_lit 63 , "CantHappen exit taken in objaddr" */
  if( !chs_lit(DEF(63),"CantHappen exit taken in objaddr") )
     goto ch_depletion;
/* print 63 */
  re_print(stderr, 0, DEF(63)); fflush(stderr);
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
c176:
/* endblock */
  che_endblock(sched);
c178:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
